%define hgtag 59c10f2317a3
%define _mozillaextpath %{firefox_mozillapath}/extensions

Summary: Weave Sync
Name: firefox-ext-weave-sync
Version: 1.1
Release: %mkrel 5
License: MPLv1+
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/10868
Source: http://hg.mozilla.org/labs/weave/archive/%{hgtag}.tar.bz2
Patch0: weave-sync-system-nspr.patch
Patch1: weave-sync-use-xpcom.patch
Patch2: weave-sync-use-standard-variable.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: firefox = %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
BuildRequires: xulrunner-devel
BuildRequires: zip

%description
Synchronize your bookmarks, history, tabs and passwords wherever you
go. Whether you use Firefox on your phone, laptop, or desktop, securely
access all your data.

%prep
%setup -qn weave-%{hgtag}
%patch0 -p0 -b .nspr
%patch1 -p0 -b .xpcom
%patch2 -p0 -b .var
rm -fr crypto/platform/

%build
export MOZSDKDIR=`pkg-config libxul --variable sdkdir`
%setup_compile_flags
make crypto rebuild_crypto=1
make xpi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}
cd dist/xpi
unzip -q `ls *.xpi`

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %firefox_mozillapath
%{_mozillaextpath}


%changelog
* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1-5mdv2010.1
+ Revision: 549352
- rebuild with FF 3.6.6

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 1.1-4mdv2010.1
+ Revision: 531079
- rebuild

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-3mdv2010.1
+ Revision: 527394
- rebuilt against nss-3.12.6

* Wed Mar 24 2010 Funda Wang <fwang@mandriva.org> 1.1-2mdv2010.1
+ Revision: 526992
- rebuild

* Thu Mar 11 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2010.1
+ Revision: 518065
- New version 1.1

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 1.0-1mdv2010.1
+ Revision: 498533
- 1.0 final

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 1.0-0.rc3.1mdv2010.1
+ Revision: 495643
- Br zip
- correct license
- import firefox-ext-weave-sync


